#include"gba.h"

#ifndef SPRITE_H
#define SPRITE_H


#define RED_SHOOTER 1
#define SPIDER      2

#define SIZE_8x8    1
#define SIZE_16x16  2
#define SIZE_32x32  3
#define SIZE_64x64  4
#define S_LEFT	  0
#define S_UP	  1
#define S_RIGHT	  2
#define S_DOWN	  3
#define S_STANDING 8
#define S_AACTION 4
#define S_BACTION 5
#define S_LACTION 6
#define S_RACTION 7
#define MAX_ANIMATIONS 20

typedef struct Animate
{
	u8 num_frames;
	u8 duration;
	u32 offset;

}Animate;

typedef struct sprite
{
	u16 Atribute1;				
	u16 Atribute2;
	u16 Atribute3;
	s16 rotind;
	
	s16 x;
	s16 y;
	u8 Num_Animations;
	Animate animations[MAX_ANIMATIONS];
	Animate cur_animation;
	u8 State;
	s16 frame;
	u8 SpriteNumber;
	u16 counter;
    u8 type;
	u8 direction;
	u8 cur_frame;
	u8 count;
	u8 fDone;
	s16* motion;
	u8* frames;
	u32* offset;
	u32* data;
}Sprite,*pSprite;

///sprite functions


#endif